Bug 10920 - NetBIOS names are not truncated at 16 chars
NetBIOS names are not truncated at 16 chars
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 11008
  Show dependency treegraph
 
Reported: 2014-11-05 09:57 UTC by Andreas Schneider
Modified: 2014-12-15 09:06 UTC (History)
1 user (show)

See Also:


Attachments
v4-2-test patch (1.57 KB, patch)
2014-11-05 09:58 UTC, Andreas Schneider
jra: review+
Details
v4-1-test patch (1.57 KB, patch)
2014-11-05 09:59 UTC, Andreas Schneider
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2014-11-05 09:57:14 UTC
NetBIOS names are not truncated at 16 chars. So if a netbios name longer than 16 chars is defined, we register the long name and are not able to look it up at all.

The following patch will address the issue.
Comment 1 Andreas Schneider 2014-11-05 09:58:07 UTC
Created attachment 10409 [details]
v4-2-test patch
Comment 2 Andreas Schneider 2014-11-05 09:59:07 UTC
Created attachment 10410 [details]
v4-1-test patch
Comment 3 Jeremy Allison 2014-11-05 17:19:39 UTC
Re-assigning to Karolin for inclusion in 4.2.0, 4.1.next.
Comment 4 Karolin Seeger 2014-11-07 19:53:50 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 5 Karolin Seeger 2014-11-09 19:50:07 UTC
Pushed to v4-2-test.
Waiting for autobuild-v4-1-test.
Comment 6 Karolin Seeger 2014-11-10 20:35:44 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to v4-1-test.

Closing out bug report.

Thanks!